]> SALOME platform Git repositories - tools/sat_salome.git/commitdiff
Salome HOME
spns #42820: updated configuration files and scripts for compilation on RO8
authorGuytri KASTANE <guytri.kastane@cea.fr>
Fri, 30 Aug 2024 10:34:12 +0000 (12:34 +0200)
committerGuytri KASTANE <guytri.kastane@cea.fr>
Fri, 30 Aug 2024 10:34:12 +0000 (12:34 +0200)
applications/SALOME-master-native.pyconf
products/beautifulsoup4.pyconf
products/compil_scripts/exhale-0.2.4.sh [new file with mode: 0755]
products/env_scripts/exhale.py
products/exhale.pyconf
products/lxml.pyconf

index 41fd6222227e29eb92cdaded002f806da55d891f..cc4acac24e51804f781a4963558b0b903df3b0a0 100644 (file)
@@ -37,6 +37,7 @@ APPLICATION :
         # PREREQUISITES :
         alabaster : 'native'
         Babel : 'native'
+        beautifulsoup4: 'native'
         boost : 'native'
         breathe : 'native'
         CAS : {tag : 'CR780-SALOME-PATCH', section: 'version_CR780_SALOME_PATCH', base:  'no'}
@@ -76,6 +77,7 @@ APPLICATION :
         lapack : 'native'
         libxml2 : 'native'
         llvm : 'native'
+        lxml : 'native'
         markupsafe : 'native'
         matplotlib : 'native'
         mdurl : 'native'
@@ -289,6 +291,7 @@ __overwrite__ :
     }
     {
         __condition__ : "VARS.dist in ['DB12']"
+        'APPLICATION.rm_products'               : ['beautifulsoup4'] # causes crashes
         'APPLICATION.products.cmake'            : 'native' # TTK requires cmake > 3.21
         'APPLICATION.products.cftime'           : 'native'
         'APPLICATION.products.h5py'             : 'native'
@@ -322,6 +325,7 @@ __overwrite__ :
         'APPLICATION.products.rich'             : {tag: '12.6.0', base: 'no', section: 'version_12_6_0_no_pip'}
         'APPLICATION.products.meshio'           : {tag: '4.3.13', base: 'no', section: 'version_4_3_13_no_pip' }
         'APPLICATION.products.h5py'             : {tag: '3.0.0',  base: 'no', section: 'version_3_0_0_no_pip' }
+        'APPLICATION.products.exhale'           : {tag: '0.2.4',  base: 'no', section: 'version_0_2_4_no_pip' }
     }
     {
          __condition__ : "VARS.dist in ['CO9']"
index a964f1aa9389c0169241bf9871056d4b5eadc2ef..153134059902ab340ebcded84b90c0713b81d2a6 100644 (file)
@@ -5,11 +5,19 @@ default :
     compil_script :  'pip_install' + $VARS.scriptExtension
     get_source : "archive"
     archive_info : {archive_prefix : "beautifulsoup4"}
+    system_info: 
+    {
+       rpm     : ["python3-beautifulsoup4"]
+       rpm_dev : []
+       apt     : []
+       apt_dev : []
+    }
     environ :
     {
        env_script : "beautifulsoup4.py"
     }
-    depend : ['Python', 'setuptools', 'soupsieve']
+    depend : ['Python', 'setuptools'] 
+    opt_depend : ['soupsieve']
     source_dir : $APPLICATION.workdir + $VARS.sep + 'SOURCES' + $VARS.sep + "beautifulsoup4"
     build_dir : $APPLICATION.workdir + $VARS.sep + 'BUILD' + $VARS.sep + "beautifulsoup4"
     install_dir : 'base'
diff --git a/products/compil_scripts/exhale-0.2.4.sh b/products/compil_scripts/exhale-0.2.4.sh
new file mode 100755 (executable)
index 0000000..32e17d2
--- /dev/null
@@ -0,0 +1,33 @@
+#!/bin/bash                                                                                                                                                                              
+
+echo "##########################################################################"
+echo "exhale" $VERSION
+echo "##########################################################################"
+
+LINUX_DISTRIBUTION="$DIST_NAME$DIST_VERSION"
+
+if [ ! -d $PRODUCT_INSTALL ]; then
+    mkdir -p $PRODUCT_INSTALL
+fi
+
+rm -rf $BUILD_DIR
+mkdir -p $BUILD_DIR/cache/pip
+cd $BUILD_DIR
+
+WHEELS=('exhale-0.2.4-py2.py3-none-any.whl')
+for WHEEL in "${WHEELS[@]}"; do
+    ${PYTHONBIN} -m pip install --cache-dir=$BUILD_DIR/cache/pip  $SOURCE_DIR/$WHEEL --no-deps --target=$PRODUCT_INSTALL/lib/python${PYTHON_VERSION}/site-packages
+    if [ $? -ne 0 ]; then
+        echo "ERROR: could not install $WHEEL"
+        exit 1
+    fi
+done
+ls -ltr $PRODUCT_INSTALL/
+if [ -d ${PRODUCT_INSTALL}/lib64 ]; then
+    mv ${PRODUCT_INSTALL}/lib64 ${PRODUCT_INSTALL}/lib
+elif [ -d ${PRODUCT_INSTALL}/local ]; then
+    mv ${PRODUCT_INSTALL}/local ${PRODUCT_INSTALL}/lib
+fi
+
+echo
+echo "########## END"
index 7f795390e5149c3c3e72f176bdb464424e8551e3..493271818b701196c04328eecdd1943a74c2182e 100644 (file)
@@ -2,9 +2,14 @@
 #-*- coding:utf-8 -*-
 
 import os
+import platform
 
 def set_env(env, prereq_dir, version):
     env.set("EXHALE_ROOT_DIR",prereq_dir)
+    if not platform.system() == "Windows" :
+        pyver = 'python' + env.get('PYTHON_VERSION')
+        env.prepend('PATH', os.path.join(prereq_dir, 'bin'))
+        env.prepend('PYTHONPATH', os.path.join(prereq_dir, 'lib', pyver, 'site-packages'))
 
 def set_nativ_env(env):
     pass
index 910de184e8deef6c179aab1ba17930c16a1ef27f..633f8e7df8b174881d72a9172f6c1cf3f959e4c9 100644 (file)
@@ -27,4 +27,13 @@ default :
       pip : "yes"
     }
 }
-
+version_0_2_4_no_pip : 
+{
+    compil_script :  'exhale-0.2.4.sh'
+    properties:
+    {
+      incremental : "yes"
+      pip : "no"
+    }
+       
+}
index 372bb01c448c5e1ce0081a735edcc767afca6d15..771453e49120d4ef902750c2bda788b122089e71 100644 (file)
@@ -5,6 +5,13 @@ default :
     compil_script :  'pip_install' + $VARS.scriptExtension
     get_source : "archive"
     archive_info : {archive_prefix : "lxml"}
+    system_info: 
+    {
+       rpm     : ["python3-lxml"]
+       rpm_dev : []
+       apt     : ["python3-lxml"]
+       apt_dev : []
+    }
     environ :
     {
        env_script : "lxml.py"